POST api/sticker/upsert
Request Information
URI Parameters
None.
Body Parameters
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "6c473432-7b77-4bf2-8f05-7dbcad7b8203",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "ac77f904-a9ec-4e22-b0d7-4bff53637ff9",
"contractItem_ID": "dffc94b0-c642-4059-8d03-2db33d049c7e",
"departement_ID": "ca567ddc-79b6-433a-9fe4-77c8e20cb382",
"departmentItem_ID": "54b90ae8-bc85-4d2c-98e1-33f77675cdca",
"iD": "72689a3e-5989-402d-960a-b8bccdeac0e4",
"site_ID": "7bd6e8d2-5c93-4114-be07-ea429d4daa7b",
"siteCustomer_ID": "ffcdaaac-0958-4f21-a1d6-3ff75cfeb6cd",
"sticker_ID": "16341fdb-c917-4806-a904-decb06783814"
},
{
"active": true,
"contract_ID": "ac77f904-a9ec-4e22-b0d7-4bff53637ff9",
"contractItem_ID": "dffc94b0-c642-4059-8d03-2db33d049c7e",
"departement_ID": "ca567ddc-79b6-433a-9fe4-77c8e20cb382",
"departmentItem_ID": "54b90ae8-bc85-4d2c-98e1-33f77675cdca",
"iD": "72689a3e-5989-402d-960a-b8bccdeac0e4",
"site_ID": "7bd6e8d2-5c93-4114-be07-ea429d4daa7b",
"siteCustomer_ID": "ffcdaaac-0958-4f21-a1d6-3ff75cfeb6cd",
"sticker_ID": "16341fdb-c917-4806-a904-decb06783814"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "c1323a96-a2d6-4965-8ef2-33e7a921316e",
"isStatic": true,
"stickerType_ID": "72aa8e73-f187-48ec-a5e7-6774b2dca8a1",
"technicalDescription": "sample string 6"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "80d5ad72-6265-4dcf-8928-95c46dd35b1f",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "ec2b5aeb-272d-4b44-bf34-5b06cf9aca7f",
"stickerField_ID": "4525c85c-5388-4e12-aaf6-72459545a881",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "c1323a96-a2d6-4965-8ef2-33e7a921316e",
"isStatic": true,
"stickerType_ID": "72aa8e73-f187-48ec-a5e7-6774b2dca8a1",
"technicalDescription": "sample string 6"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "80d5ad72-6265-4dcf-8928-95c46dd35b1f",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "ec2b5aeb-272d-4b44-bf34-5b06cf9aca7f",
"stickerField_ID": "4525c85c-5388-4e12-aaf6-72459545a881",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "aa102194-8184-4497-b677-e7bd8382d17b",
"stickerType_ID": "673f5dd8-3671-4a79-b4a3-ac99cf7815a3",
"stickerRelation_IDs": [
"599d32d4-cfea-4f2b-a5b5-3138c633f43e",
"b7b7cc6f-6604-4c65-a001-803c17cb6de0"
],
"site_ID": "800a233e-7c07-41c3-85cc-662775a13031"
}
application/xml
Sample:
text/xml
Sample:
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"fade267c-3cf5-4376-afcd-8b5ffba04c2f"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">fade267c-3cf5-4376-afcd-8b5ffba04c2f</guid>